﻿


CREATE VIEW [Dir2Rss].[vFiles]
AS
SELECT
	FolderGroup.FolderGroupSk
	,FolderGroup.FolderGroupName
	,FolderGroup.FolderGroupScanFolder
	,FolderGroup.FolderGroupIsEnabled
	,FileGroup.FileGroupSk
	,FileGroup.FileGroupAdded
	,FileGroup.FileGroupGuid
	,Files.FileSk
	,Files.FilePath
	,Files.FileName
  FROM Dir2Rss.Files
INNER JOIN Dir2Rss.FileGroup
	ON Files.FileGroupSk = FileGroup.FileGroupSk
INNER JOIN Dir2Rss.FolderGroup 
	ON FileGroup.FolderGroupSk = FolderGroup.FolderGroupSk
WHERE Files.FileName NOT IN (
		SELECT HiddenFileName
		  FROM Dir2Rss.HiddenFiles
		WHERE ShouldBeHidden = 1
	)
	AND ISNULL(SUBSTRING(FileName,LEN(FileName)-CHARINDEX('.',REVERSE(FileName),1)+1,CHARINDEX('.',REVERSE(FileName),1)),'')
		NOT IN (
			SELECT HiddenFileTypeName
			  FROM Dir2Rss.HiddenFileTypes
			WHERE ShouldBeHidden = 1
	)
	AND FolderGroup.FolderGroupIsEnabled = 1


GO
EXECUTE sp_addextendedproperty @name = N'MS_Description', @value = N'vFiles', @level0type = N'SCHEMA', @level0name = N'Dir2Rss', @level1type = N'VIEW', @level1name = N'vFiles';


GO
EXECUTE sp_addextendedproperty @name = N'MS_DiagramPane1', @value = N'[0E232FF0-B466-11cf-A24F-00AA00A3EFFF, 1.00]
Begin DesignProperties = 
   Begin PaneConfigurations = 
      Begin PaneConfiguration = 0
         NumPanes = 4
         Configuration = "(H (1[40] 4[20] 2[20] 3) )"
      End
      Begin PaneConfiguration = 1
         NumPanes = 3
         Configuration = "(H (1 [50] 4 [25] 3))"
      End
      Begin PaneConfiguration = 2
         NumPanes = 3
         Configuration = "(H (1 [50] 2 [25] 3))"
      End
      Begin PaneConfiguration = 3
         NumPanes = 3
         Configuration = "(H (4 [30] 2 [40] 3))"
      End
      Begin PaneConfiguration = 4
         NumPanes = 2
         Configuration = "(H (1 [56] 3))"
      End
      Begin PaneConfiguration = 5
         NumPanes = 2
         Configuration = "(H (2 [66] 3))"
      End
      Begin PaneConfiguration = 6
         NumPanes = 2
         Configuration = "(H (4 [50] 3))"
      End
      Begin PaneConfiguration = 7
         NumPanes = 1
         Configuration = "(V (3))"
      End
      Begin PaneConfiguration = 8
         NumPanes = 3
         Configuration = "(H (1[56] 4[18] 2) )"
      End
      Begin PaneConfiguration = 9
         NumPanes = 2
         Configuration = "(H (1 [75] 4))"
      End
      Begin PaneConfiguration = 10
         NumPanes = 2
         Configuration = "(H (1[66] 2) )"
      End
      Begin PaneConfiguration = 11
         NumPanes = 2
         Configuration = "(H (4 [60] 2))"
      End
      Begin PaneConfiguration = 12
         NumPanes = 1
         Configuration = "(H (1) )"
      End
      Begin PaneConfiguration = 13
         NumPanes = 1
         Configuration = "(V (4))"
      End
      Begin PaneConfiguration = 14
         NumPanes = 1
         Configuration = "(V (2))"
      End
      ActivePaneConfig = 0
   End
   Begin DiagramPane = 
      Begin Origin = 
         Top = 0
         Left = 0
      End
      Begin Tables = 
         Begin Table = "Files (fscan)"
            Begin Extent = 
               Top = 6
               Left = 38
               Bottom = 209
               Right = 219
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FileGroup (fscan)"
            Begin Extent = 
               Top = 6
               Left = 257
               Bottom = 114
               Right = 413
            End
            DisplayFlags = 280
            TopColumn = 0
         End
         Begin Table = "FolderGroup (fscan)"
            Begin Extent = 
               Top = 6
               Left = 451
               Bottom = 114
               Right = 643
            End
            DisplayFlags = 280
            TopColumn = 0
         End
      End
   End
   Begin SQLPane = 
   End
   Begin DataPane = 
      Begin ParameterDefaults = ""
      End
   End
   Begin CriteriaPane = 
      Begin ColumnWidths = 11
         Column = 1770
         Alias = 900
         Table = 1170
         Output = 720
         Append = 1400
         NewValue = 1170
         SortType = 1350
         SortOrder = 1410
         GroupBy = 1350
         Filter = 1350
         Or = 1350
         Or = 1350
         Or = 1350
      End
   End
End', @level0type = N'SCHEMA', @level0name = N'Dir2Rss', @level1type = N'VIEW', @level1name = N'vFiles';


GO
EXECUTE sp_addextendedproperty @name = N'MS_DiagramPaneCount', @value = 1, @level0type = N'SCHEMA', @level0name = N'Dir2Rss', @level1type = N'VIEW', @level1name = N'vFiles';

